## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pyroaring
%global forgeurl https://github.com/Ezibenroc/PyRoaringBitMap

Name:           python-%{pypi_name}
Version:        0.4.5
Release:        %{autorelease}
Summary:        Fast and lightweight set for unsigned 32 bits integers
%global tag %{version}
%forgemeta
# pyroaring/roaring.c and pyroaring/roaring.h are dual licensed
License:        MIT or Apache-2.0
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc, gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-Cython

%global _description %{expand:
An efficient and light-weight ordered set of 32 bits integers. This is
a Python wrapper for the C library CRoaring.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%tox
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
* Wed Jan 10 2024 Packit <hello@packit.dev> - 0.4.5-1
- [packit] 0.4.5 upstream release
- Resolves rhbz#2257741

* Tue Nov 14 2023 Sandro <devel@penguinpee.nl> - 0.4.4-3
- Add Packit config

* Tue Sep 05 2023 Sandro <devel@penguinpee.nl> - 0.4.4-1
- Update to 0.4.4 (RHBZ#2237127)
- Use Cython 3.x

* Thu Aug 31 2023 Sandro <devel@penguinpee.nl> - 0.4.2-1
- Initial release (RHBZ#2236138)
